#!/bin/bash
#
#	Récupère l'ensemble des dépendances depuis conf/_install/dependency.xml
#	Nécessite xmllint : sudo apt install libxml2-utils
#
#
#
#


if [ "../conf/_install/dependency.xml" ]; then

	let itemsCount=$(xmllint --xpath 'count(//dependenciesCollection/dependency/name)' ../conf/_install/dependency.xml)
	declare -A aDeps

	for (( i=1; i <= $itemsCount; i++ )); do

		aDeps[$i, name]="$(xmllint --xpath 'string(//dependenciesCollection/dependency['$i']/name)' ../conf/_install/dependency.xml)"
		aDeps[$i, version]="$(xmllint --xpath 'string(//dependenciesCollection/dependency['$i']/version)' ../conf/_install/dependency.xml)"
		aDeps[$i, nature]="$(xmllint --xpath 'string(//dependenciesCollection/dependency['$i']/nature)' ../conf/_install/dependency.xml)"

	done

	export itemsCount
	export aDeps
else
	echo "[ERROR] ../conf/_install/dependency.xml not found"
fi
