#!/bin/bash
#
#
# 	Script d'initialisation d'un dépot vMap versionné sous git
#	Initislise l'ensemble des dépendances sous forme de subtrees
#
#	Nécessite xmllint : sudo apt install libxml2-utils
#


APP_NAME="vmap"

# Récupère la liste des dépendances
. ./get_deps.sh

cd ..
if [ -d "$(pwd)/client" ]; then
	rm client
fi
if [ -d "$(pwd)/vas" ]; then
	rm vas
fi
if [ -d "$(pwd)/src" ]; then
	git rm -r src
	git commit -a -m "Reset sources"
fi
mkdir src

# Vitis
echo "---- Init vitis ----"
git subtree add --prefix src/vitis "git@vm09.veremes.net:Development/vitis_apps/sources/vitis.git" master

echo "---- Init conf ----"
git subtree add --prefix src/closure "git@vm09.veremes.net:Development/vitis_apps/sources/closure.git" master

# Modules
for (( i=1; i <= $itemsCount; i++ )); do
	if [ ${aDeps[$i, nature]} == "modules" ] || [ ${aDeps[$i, nature]} == "web_services" ]; then
		echo "---- Init ${aDeps[$i, name]} : ${aDeps[$i, version]}----"

	    # Ajoute le dépôt
		git subtree add --prefix src/${aDeps[$i, name]} "git@vm09.veremes.net:Development/vitis_apps/sources/${aDeps[$i, name]}.git" master
	fi
done
