#!/bin/bash
#
#
# 	Script d'initialisation d'un dépot vMap versionné sous git
#
#   Split repo
#   git subtree split -P module/ -b module_split_branch
#
#   Add subtree
#   git subtree add --prefix vmap "git@vm09.veremes.net:Development/vitis_apps/sources/Vitis.git" master
#
#


APP_NAME="vmap"
APP_MODULES=( vmap vm4ms anc cadastre cadastreV2 )

cd ..

# Vitis
echo "---- Link vitis ----"
ln -rsf src/vitis/client client
ln -rsf src/vitis/vas vas

# Conf
echo "---- Link ${APP_NAME}/conf ----"
ln -rsf conf src/vitis/client/conf
ln -rsf src/closure/conf conf/closure

# Modules
for module in "${APP_MODULES[@]}"; do
	echo "---- Link module_${module} ----"
	if [ -d "$(pwd)/src/module_${module}/module" ]; then
		ln -rsf src/module_${module}/module src/vitis/client/modules/${module}
	fi
	if [ -d "$(pwd)/src/module_${module}/web_service/ws" ]; then
		ln -rsf src/module_${module}/web_service/ws src/vitis/vas/rest/ws/${module}
	fi
	if [ -d "$(pwd)/src/module_${module}/web_service/conf" ]; then
		ln -rsf src/module_${module}/web_service/conf src/vitis/vas/rest/conf/${module}
	fi
	if [ -d "$(pwd)/src/module_${module}/web_service/sql" ]; then
		ln -rsf src/module_${module}/web_service/conf src/vitis/vas/sql/${module}
	fi
	if [ -d "$(pwd)/src/module_${module}/web_service/class" ]; then
		for class_dir in $( ls "$(pwd)/src/module_${module}/web_service/class"); do
			if [ -d "$(pwd)/src/module_${module}/web_service/class/${class_dir}" ]; then
				echo "---- Link module_${module}/${class_dir} ----"
				ln -rsf src/module_${module}/web_service/class/${class_dir} src/vitis/vas/rest/class/${class_dir}
			fi
		done
	fi
done
